Debian Bug report logs - #707171
ITP: node-base64id -- Node.js module that generates a base64 id

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Date: Tue, 7 May 2013 21:45:01 UTC

Owned by: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Severity: wishlist

Fixed in version node-base64id/0.1.0~git20130507-1

Done: Mike Gabriel <sunweaver@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, pkg-javascript-devel@lists.alioth.debian.org, wnpp@debian.org:
Bug#707171; Package wnpp. (Tue, 07 May 2013 21:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, pkg-javascript-devel@lists.alioth.debian.org, wnpp@debian.org. (Tue, 07 May 2013 21:45:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: node-base64id -- Node.js module that generates a base64 id
Date: Tue, 07 May 2013 23:44:19 +0200
Package: wnpp
Severity: wishlist
Owner: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

* Package name    : node-base64id
  Version         : 0.1.0
  Upstream Author : Kristian Faeldt <faeldt_kristian@cyberagent.co.jp>
* URL             : https://github.com/faeldt/base64id
* License         : MIT
  Programming Lang: Javascript
  Description     : Node.js module that generates a base64 id

 Node.js module that generates a base64 id. It uses crypto.randomBytes when
 available, but falls back to unsafe methods for node.js <= 0.4.
 .
 To increase performance, random bytes are buffered to minimize the number of
 synchronous calls to crypto.randomBytes.



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 08 May 2013 08:06:10 GMT) Full text and rfc822 format available.

Reply sent to Mike Gabriel <sunweaver@debian.org>:
You have taken responsibility. (Thu, 16 May 2013 13:04:35 GMT) Full text and rfc822 format available.

Notification sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug acknowledged by developer. (Thu, 16 May 2013 13:04:35 GMT) Full text and rfc822 format available.

Message #12 received at 707171-close@bugs.debian.org (full text, mbox):

From: Mike Gabriel <sunweaver@debian.org>
To: 707171-close@bugs.debian.org
Subject: Bug#707171: fixed in node-base64id 0.1.0~git20130507-1
Date: Thu, 16 May 2013 13:00:07 +0000
Source: node-base64id
Source-Version: 0.1.0~git20130507-1

We believe that the bug you reported is fixed in the latest version of
node-base64id, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 707171@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mike Gabriel <sunweaver@debian.org> (supplier of updated node-base64id package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 07 May 2013 23:47:45 +0200
Source: node-base64id
Binary: node-base64id
Architecture: source all
Version: 0.1.0~git20130507-1
Distribution: sid
Urgency: low
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Changed-By: Mike Gabriel <sunweaver@debian.org>
Description: 
 node-base64id - Node.js module that generates a base64 id
Closes: 707171
Changes: 
 node-base64id (0.1.0~git20130507-1) unstable; urgency=low
 .
   * Initial release. (Closes: #707171). Obtained from upstream Git,
     corresponding to commit: aa805d558c407f52f8958411163a40f898b89faa.
Checksums-Sha1: 
 1f80f325620fbf61428111148a98ba2e00ff49c7 2061 node-base64id_0.1.0~git20130507-1.dsc
 88f39cd1eea75ed59a4f263fb35843f1e0f753bc 2272 node-base64id_0.1.0~git20130507.orig.tar.gz
 b9e62da2ef8723a0af37c52d646f3169d1d9e36f 2031 node-base64id_0.1.0~git20130507-1.debian.tar.gz
 8e004a6959d2207d554a79066e73d913b48b4bca 3458 node-base64id_0.1.0~git20130507-1_all.deb
Checksums-Sha256: 
 3f71cb98ba4d047f79df4817037aaf13a4b0b685b099c6b88ed9a889645b8a56 2061 node-base64id_0.1.0~git20130507-1.dsc
 a41fb0c1328415f65fa678e92a5285468b4efaf0bc62a5b1c7843558ca6d65ba 2272 node-base64id_0.1.0~git20130507.orig.tar.gz
 df027cc1f73db5c0af388f916aed2e7a082c37899a4239bb6e0b7d96198b38c1 2031 node-base64id_0.1.0~git20130507-1.debian.tar.gz
 36e51f4cfb4549157ee3352a310a3eb9a3c504717f94840b728fd565ee9ca050 3458 node-base64id_0.1.0~git20130507-1_all.deb
Files: 
 8b9e88e3427f3df4ee430bbd43cc3374 2061 web extra node-base64id_0.1.0~git20130507-1.dsc
 3efdb60b44c7bc4ffa3b554fc2192076 2272 web extra node-base64id_0.1.0~git20130507.orig.tar.gz
 b86e6e3d0b17f6d81f7f6247110a764f 2031 web extra node-base64id_0.1.0~git20130507-1.debian.tar.gz
 474c367e9b0c3b90c0b308a33b59f365 3458 web extra node-base64id_0.1.0~git20130507-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJRiXezAAoJEJr0azAldxsxna4P/1TZbi6iNG4G4NiKgno1S/Zm
ygXxy3jtC0XEbyMfGo/Q7GA7U515QiTiBn54IjLEtxxwCM+buUv5R4hRPYDrUDQq
JrN4pv/LOERVgXR0wxa3itT403+x/ay9x2kQC/oklaB/QIO+9NTtG9+/cj35yZDg
QtfKvcnq88lfEjH1vEcX9yGcREOFzHDe05bfQ0GGUXcYT1U0c6BC4ZyjOwT8UwSl
VCLoUIQatvZTlv4w+cVESmRVFx7nlKXcgR+kITU5ffVql8y8cWxqPImLmRXFWF9s
vunQKqX1u3C/UjPTHcu75R5FWCvtPcFuD1TJ+7rsR27efcPBOd/OHFpEvO9uRLXT
YCRQNFKl8H77CMiUbbORocGKd0wVNZGeoJ9i8eY3xdMGDH8dnNubZto1H75HuO1Y
23NYBQ/Dpd+gfsK7cuSUJkMvj/qy7aX3D2ZCID3gi0HV2lcX9posJkFW/ZC4itf9
LWIOjI+wVBRTJesDyh9qLSarbOVpe6dz4tjxZQMNyGmOUAQTr/o3Pii2402oJGlP
rc1oS1LdrTKVkZNIQGr8ptjAN9IBWx9nrUcc1yGUYSqkXGGZCS1o1gvmsIWs2gjn
FULNfFRF4yFrJ5x5IdfNAk/Xzr8AFZYYdTP6/KHGX+4MCznAITFvJbLEqdBIdCwi
US2mw+HJiqmuNFwh5PJ9
=eU96
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 14 Jun 2013 08:00:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:05:04 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.